Download it now!
Bug 31523 - Build broken by OSL_ENSURE checks when configured with --enable-debug
Summary: Build broken by OSL_ENSURE checks when configured with --enable-debug
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-10 06:27 UTC by Santiago Bosio
Modified: 2011-01-13 07:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Santiago Bosio 2010-11-10 06:27:11 UTC
These two OSL_ENSURE must be corrected, because they broke the build process.

In file dbaccess/source/core/api/RowSet.cxx, line 1668, the compiler complains because "is()" isn't a member function of the object:

OSL_ENSURE( aError.is(), "ORowSet::impl_prepareAndExecute_throw: caught an SQLException which we cannot analyze!" );

In file dbaccess/source/ui/querydesign/QTableWindow.cxx, line 191, the same complaint about "isValid()" member function:

OSL_ENSURE(rInfo.isValid(),"OQueryTableWindow::ExistsField: invlid argument for OTableFieldDescRef!");

Best regards,

Santiago
Comment 1 Caolán McNamara 2010-11-18 03:34:46 UTC
tml fixed the first with 8a0d563a9d7ed94eb5a12676d682f59ffb19eb78 and the second with f30819c9f78930379c181dc4a668e333b845fc00 on the 6th Nov

Are you building a particular branch or master. They appear fixed in master
Comment 2 Petr Mladek 2010-11-18 06:50:14 UTC
Marking as fixed accordimg to the comment #1

Feel free to reopen it if you still see it.
Comment 3 sophie 2011-01-13 07:35:01 UTC
Closing - Sophie